A SizeFact is a pre-computed collection of statistics about Project source code. It provides monthly running totals of lines of code, commits, and developer effort.
SizeFacts contain the running totals of ActivityFacts.
A SizeFact is derived from lower-level statistics contained in an Analysis. SizeFacts are updated whenever a Project is re-analyzed.
SizeFacts are availabled only after Ohloh has downloaded and analyzed the project source code.
man_months will be 13. This is the running total of the ActivityFact contributors property.To get all SizeFacts for a particular Analysis:
GET http://www.ohloh.net/projects/{project_id}/analyses/{analysis_id}/size_facts.xml
If you do not know the ID of the current best Analysis for a Project, you can use the following shortcut:
GET http://www.ohloh.net/projects/{project_id}/analyses/latest/size_facts.xml
The call returns one SizeFact for each month, starting at the first month in which any code exists, and ending at the month in which Ohloh last created a new Analysis for this Project. Typically, the collection ends at the current month, but if the Project has not been re-analyzed in a while, the collection may end sooner.
The results cannot be paginated or filtered. Results are sorted chronologically.